Skip to main content
PUT
/
template
/
{template_id}
/
attachments
/
settings
Set template attachment settings
curl --request PUT \
  --url https://restapi.sign.plus/v2/template/{template_id}/attachments/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "settings": {
    "visible_to_recipients": true
  }
}
'
import requests

url = "https://restapi.sign.plus/v2/template/{template_id}/attachments/settings"

payload = { "settings": { "visible_to_recipients": True } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({settings: {visible_to_recipients: true}})
};

fetch('https://restapi.sign.plus/v2/template/{template_id}/attachments/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "settings": {
    "visible_to_recipients": true
  },
  "recipients": [
    {
      "recipient_id": "<string>",
      "recipient_name": "<string>",
      "placeholders": [
        {
          "recipient_id": "<string>",
          "id": "<string>",
          "name": "<string>",
          "hint": "<string>",
          "required": true,
          "multiple": true,
          "files": [
            {
              "id": "<string>",
              "name": "<string>",
              "size": 123,
              "mimetype": "<string>"
            }
          ]
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

Body

application/json
settings
object
required

Response

200 - application/json

Attachment settings set successfully

settings
object
recipients
object[]